@keyframes zoom {
    0% { transform: scale(.7); transform-origin: 100% 50% }
    100% { transform: scale(1); transform-origin: 100% 50% }
}

.speech-bubble.fadeout {
    opacity: 0;
    transition: opacity .2s ease-in-out;
}

.speech-bubble {
    position: absolute;
    animation-name: zoom;
    animation-iteration-count: 1;
    animation-timing-function: cubic-bezier(.47,1.64,.41,.8);
    animation-duration: .33s;

    border-radius: .4em;
    box-sizing: border-box;
    width: fit-content;
    min-width: 200px;
    max-width: 300px;
    min-height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: whitesmoke;
    color: black;
}

@media only screen and (max-width: 30em) {
    .speech-bubble {
        max-width: 100px;
    }

    .speech-bubble:after {
        content: '';
        position: absolute;
        width: 0;
        bottom: -20px;
        left: calc(50% + 5px);
        border-style: solid;
        border-width: 20px 20px 0 0;
        border-color: whitesmoke transparent;
        display: block;
    }
}

@media only screen and (min-width: 30em) {
    .speech-bubble:after {
        content: '';
        position: absolute;
        right: 0;
        top: 50%;
        width: 0;
        height: 0;
        border: 20px solid transparent;
        border-left-color: whitesmoke;
        border-right: 0;
        border-top: 0;
        margin-top: -10px;
        margin-right: -20px;
    }
}
